### Method

# St ThemeNode adjust_preferred_height

#### Declaration [src]

    void
    st_theme_node_adjust_preferred_height (
      StThemeNode* node,
      float* min_height_p,
      float* natural_height_p
    )

#### Description [src]

Adjusts the minimum and natural height computed for an actor by adding on the necessary space for borders and padding and taking into account any minimum or maximum height. This is a convenience function meant to be called from the `get_preferred_height()` method of a `ClutterActor` subclass.

#### Parameters

`min_height_p`

  Type: `float*`

  The minimum height to adjust.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the method.

`natural_height_p`

  Type: `float*`

  The natural height to adjust.

  The argument will be modified by the function.